{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% block component_part %}
    {% include '@DemosPlanCore/DemosPlanCore/includes/base_pageheader.html.twig' with {
        heading: (surveyId is defined ? 'survey.edit' : 'survey.new')|trans,
        subnav: surveyId is defined ? [
            {
                href: path('dplan_survey_edit', { 'procedureId': procedure, 'surveyId': surveyId }),
                label: 'survey.edit',
                current: true
            },
            {
                href: path('dplan_survey_show', { 'procedureId': procedure, 'surveyId': surveyId }),
                label: 'survey.comments.moderate'
            }
        ] : null
    } %}

    {% set submitPath = surveyId is defined
        ? path('dplan_survey_update', { 'procedureId': procedure, 'surveyId': surveyId })
        : path('dplan_survey_create', { 'procedureId': procedure }) %}

    <form
        id="surveyForm"
        action="{{ submitPath }}"
        enctype="multipart/form-data"
        method="post"
        data-dp-validate>

        {% if surveyId is defined %}
            <p class="u-mb">{{ 'survey.edit.explanation'|trans }}</p>
        {% else %}
            <p class="u-mb">{{ 'survey.new.explanation'|trans }}</p>
        {% endif %}

        {{ uiComponent('form.row', {
            elements: [
                {
                    label: { text: 'title'|trans },
                    control: { name: 'title', value: survey.title },
                    id: 'title',
                    type: 'text',
                    maxCharCount: 255,
                    required: true
                }
            ]
        }) }}

        {{ uiComponent('form.row', {
            elements: [
                {
                    label: { text: 'description'|trans },
                    control: { name: 'description', value: survey.description },
                    id: 'description',
                    type: 'editor',
                    hiddenInput: 'description',
                    required: true
                }
            ]
        }) }}

        <dp-survey-status
          initial-end-date="{{ survey.endDate.date|date('U')|dplanDate }}"
          initial-start-date="{{ survey.startDate.date|date('U')|dplanDate }}"
          initial-status="{{ survey.status }}"
          :status-options="JSON.parse('{{ surveyStatuses|json_encode|e('js', 'utf-8') }}')"
          procedure-start-date="{{ procedureStartDate|date('U')|dplanDate }}">
        </dp-survey-status>

        {% set cancelPath = path('DemosPlan_procedure_dashboard', {'procedure': procedure}) %}
        {{ uiComponent('button-row', {
            primary: uiComponent('button', {type: 'submit'}),
            secondary: uiComponent('button', {color: 'secondary', href: cancelPath})
        }) }}
    </form>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['procedure-administrationNewSurvey.js']) }}
{% endblock javascripts %}
